Namespace
library
Image / Tag
openjdk:24-ea-7
Content Digest
sha256:6b091db6bb84414781bae333b4c6d6c62452d7ad8f2e4c8f3b9a253c30faecd6
Details
Created

2024-07-20 00:52:05 UTC

Size

285 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-24

JAVA_VERSION

24-ea+7

LANG

C.UTF-8

PATH

/usr/java/openjdk-24/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d9a40b27c30f626a234b4038d1370cabaed0e37737d0a56e3ea84710f110f14c - 16.42% (46.7 MB)

[#001] sha256:2920cc2c11af612b622d60cb0efe552bd6ba226ef084ef8060c17399289d7444 - 12.69% (36.1 MB)

[#002] sha256:ec9a29a9c955047ef4c9646b22e92de51ea17b8c54d6d2c853b342491db359dc - 70.89% (202 MB)


History
2024-07-08 23:20:26 UTC

/bin/sh -c #(nop) ADD file:61bb1ff5b435c8d45a692de54806f1a1d44cbd176c28877e360a68f4d0e7de6f in /

2024-07-08 23:20:26 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-07-20 00:52:05 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2024-07-20 00:52:05 UTC (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-24

2024-07-20 00:52:05 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-24/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2024-07-20 00:52:05 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2024-07-20 00:52:05 UTC (buildkit.dockerfile.v0)

ENV JAVA_VERSION=24-ea+7

2024-07-20 00:52:05 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk24/7/GPL/openjdk-24-ea+7_linux-x64_bin.tar.gz'; downloadSha256='d175c4cfc7ab8306b42cf88fe0e60b2b827a2106c026ae6d2a3f2e51bbcb60d0'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk24/7/GPL/openjdk-24-ea+7_linux-aarch64_bin.tar.gz'; downloadSha256='5df46f7b64a38a7a34e1b283f6c37b57f8238567b81c3db0f127f348f4842977'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2024-07-20 00:52:05 UTC (buildkit.dockerfile.v0)

CMD ["jshell"]

Details
Created

2024-07-22 22:11:03 UTC

Size

2.19 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-24

JAVA_SHA256

e6ea3b3cd29d732dbe15fd95b7719200d69fff9e9f42a09fc5dc4fc3bd5fea12

JAVA_URL

https://download.java.net/java/early_access/jdk24/7/GPL/openjdk-24-ea+7_windows-x64_bin.zip

JAVA_VERSION

24-ea+7


Layers

[#000] sha256:7c76e5cf7755ce357ffb737715b0da6799a50ea468cc252c094f4d915d426b3f - 59.17% (1.29 GB)

[#001] sha256:5f0206d135152eb909f50159d6ca348a5aead199afacbafc000b770c1b0720f6 - 32.0% (716 MB)

[#002] sha256:6ff11603de76dd8a343f7d2e9772bc77dece0072d9569cbcd95e485e71178689 - 0.0% (1.25 KB)

[#003] sha256:259175014e57ba688d182f51a0e9721d75e0b0febb6b753c3e66d67ef4aa921b - 0.02% (364 KB)

[#004] sha256:9c77dc12a95152c648cfd642d625ac9bd276e1d44bd01c10e520dc4485e1d544 - 0.0% (1.25 KB)

[#005] sha256:b76b5fd23a055c817570d4c15651dd37b694728d5c77df94ed4ab552a98d74c7 - 0.01% (315 KB)

[#006] sha256:f83b816afafd58f833f8ba442090de2ac9b5e07bec5a9eecc2c5856742d150a2 - 0.0% (1.25 KB)

[#007] sha256:58beef9dda82dcc7ecb42a0c468e2f46dd7eb38c59c17840d9647b7394831a33 - 0.0% (1.25 KB)

[#008] sha256:e697456abe140aaa590dbf208b27bc313a621442cc94a28c5acad14ff46803c2 - 0.0% (1.25 KB)

[#009] sha256:45091fc70e1a8cac8d32f29bd7df18318653d3437f288f0834d29f8fb4be1ff2 - 8.81% (197 MB)

[#010] sha256:84aaa5254d1d5e440c194c36245ab44b4757b530aeaabc0034a4c3d7d0d1afe7 - 0.0% (1.3 KB)


History
2023-06-08 12:55:20 UTC

Apply image 10.0.20348.1787

2024-07-03 10:07:02 UTC

Install update 10.0.20348.2582

2024-07-22 22:08:58 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2024-07-22 22:10:23 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2024-07-22 22:10:23 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-24

2024-07-22 22:10:30 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2024-07-22 22:10:30 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=24-ea+7

2024-07-22 22:10:31 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk24/7/GPL/openjdk-24-ea+7_windows-x64_bin.zip

2024-07-22 22:10:32 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=e6ea3b3cd29d732dbe15fd95b7719200d69fff9e9f42a09fc5dc4fc3bd5fea12

2024-07-22 22:11:02 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2024-07-22 22:11:03 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2024-07-22 21:03:16 UTC

Size

2.28 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-24

JAVA_SHA256

e6ea3b3cd29d732dbe15fd95b7719200d69fff9e9f42a09fc5dc4fc3bd5fea12

JAVA_URL

https://download.java.net/java/early_access/jdk24/7/GPL/openjdk-24-ea+7_windows-x64_bin.zip

JAVA_VERSION

24-ea+7


Layers

[#000] sha256:c9226d61d3bdbf9f09821b32f5878623b8daaa5fb4f875cb63c199f87a26d57e - 67.48% (1.54 GB)

[#001] sha256:b5f98e7fe87492b83d7775a348ae0c94412b638ab5bba1a80b03c3a547708acd - 24.03% (561 MB)

[#002] sha256:a324fbdfaaec19a11b8db2f41af298db0f43eca4654bbbf10e4b7b37071336ee - 0.0% (1.3 KB)

[#003] sha256:9a9287ce7bf1b39b687283e9bfd0266eceb4e07631d1371ae71e45241047f5e8 - 0.02% (495 KB)

[#004] sha256:71a6d24720e8fa902eea7434f0372d1aebaff0ec5f6961f9f468445fac6ae8b4 - 0.0% (1.27 KB)

[#005] sha256:1596e210d84e1a6d680409424af13fa06f77777ffc1824371da481e1c0380319 - 0.01% (342 KB)

[#006] sha256:e72a0c2b5a97c9ecc1a29bc28f4fd1fa3da64748149bf5209bf99da390c52191 - 0.0% (1.27 KB)

[#007] sha256:466eca85bfc0d7c04f6b609fc0902cb12801cf02d31d01339361121ace9bc89f - 0.0% (1.27 KB)

[#008] sha256:e7d1eab0223919a362c0382273e07c5fd67f80d39fc85cd9fd508f3c74d718c4 - 0.0% (1.27 KB)

[#009] sha256:243afa0977d08622fa7e1849a775112589966699e81eecc2ce31dca631729608 - 8.45% (197 MB)

[#010] sha256:5b889e74c1f5b2e925eb670de44dafc9229d8d964e249f62e5af405c469a3f47 - 0.0% (1.27 KB)


History
2023-06-08 12:58:24 UTC

Apply image 10.0.17763.4499

2024-07-03 00:34:32 UTC

Install update 10.0.17763.6054

2024-07-22 20:59:44 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2024-07-22 21:01:40 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2024-07-22 21:01:40 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-24

2024-07-22 21:02:11 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2024-07-22 21:02:12 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=24-ea+7

2024-07-22 21:02:12 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk24/7/GPL/openjdk-24-ea+7_windows-x64_bin.zip

2024-07-22 21:02:13 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=e6ea3b3cd29d732dbe15fd95b7719200d69fff9e9f42a09fc5dc4fc3bd5fea12

2024-07-22 21:03:13 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2024-07-22 21:03:16 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2024-07-20 00:52:05 UTC

Size

282 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-24

JAVA_VERSION

24-ea+7

LANG

C.UTF-8

PATH

/usr/java/openjdk-24/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:c72f53f7235bf26fdb27eaeb0d712fc1886f19eda2722ef9709dda7424814b9e - 16.14% (45.4 MB)

[#001] sha256:3129baf21359e4eb83f9d1391c216edfe6dce92354dbd70df14232415144a124 - 12.96% (36.5 MB)

[#002] sha256:a0e3e6bd18b64f0aa6f9efbccc1e3343fd11abc3b1d1d81e8f10d22245f2172f - 70.91% (200 MB)


History
2024-07-08 22:40:25 UTC

/bin/sh -c #(nop) ADD file:a5d614a69430ac76660689e833533429bd70568280b25af98af60b01a76d6139 in /

2024-07-08 22:40:26 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-07-20 00:52:05 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2024-07-20 00:52:05 UTC (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-24

2024-07-20 00:52:05 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-24/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2024-07-20 00:52:05 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2024-07-20 00:52:05 UTC (buildkit.dockerfile.v0)

ENV JAVA_VERSION=24-ea+7

2024-07-20 00:52:05 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk24/7/GPL/openjdk-24-ea+7_linux-x64_bin.tar.gz'; downloadSha256='d175c4cfc7ab8306b42cf88fe0e60b2b827a2106c026ae6d2a3f2e51bbcb60d0'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk24/7/GPL/openjdk-24-ea+7_linux-aarch64_bin.tar.gz'; downloadSha256='5df46f7b64a38a7a34e1b283f6c37b57f8238567b81c3db0f127f348f4842977'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2024-07-20 00:52:05 UTC (buildkit.dockerfile.v0)

CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete